# File Renamer 🛠️✨

Welcome to **File Renamer**, the tool you never knew you needed until your boss asked you to rename "File_Final_FINAL_v2_ACTUALLYFINAL.docx" to something sane across 12,000 files. 😅

## What Does It Do? 🤔

Simple! It:
- Finds files and folders in a directory and its subdirectories.
- Replaces *that one annoying word* in their names and content.
- Makes your life a tad bit easier (or so we hope).

## Why Use This? 🚀

- You’ve run out of excuses for why your directory still says `OldProject`.
- You're tired of opening files only to manually replace "Lorem Ipsum" 374 times.
- You believe in automation, even if it just helps you avoid doing real work.

## How Do I Use This Sorcery? 🪄

1. Install the package:
   ```bash
   pip install file-renamer

2.	Summon the renaming magic:

```
file-renamer

```

3.	Answer the oh-so-simple questions:

- Where should I start renaming? (Hint: Use . for the current directory.)
- What’s the cursed word you want to banish?
- What delightful replacement shall we bestow?
- Sit back and watch as the chaos unfolds in your terminal. 🎉

Example 📝

Let’s rename all instances of “boring” to “exciting”:

```
$ file-renamer
Enter the root directory path: .
Enter the word you want to replace: boring
Enter the word to replace it with: exciting

```

Boom! Your files are now way more exciting. 🥳

Features ✨

	•	Recursive Renaming: No file or folder is safe from the renaming rampage.
	•	Content Replacement: Yes, it digs inside files too (no secrets here).
	•	User-Friendly Prompts: Even your grandma could use this.
	•	Supports Multiple Encodings: Because not all files speak UTF-8. 🤷‍♂️

Disclaimer ⚠️

	•	Backup Your Files! This tool will change things faster than your mood on a Monday morning.
	•	We are not responsible if you replace “yes” with “no” and accidentally break the universe.

Credits 👏

	•	Developer: Sachin Arora
	•	GitHub: sachnaror
	•	License: MIT (aka “Do Whatever You Want With It, But Don’t Blame Me”)

Support 🙋‍♂️

If you find a bug, create an issue, or if you find this tool life-changing, send me a star 🌟 on GitHub. If not, well… we tried. 😄

```
This README should leave your users chuckling while still providing all the essential info!
```
